# Uses of Interface
org.eclipse.microprofile.openapi.models.media.XML

Packages that use XML
Package
Description
org.eclipse.microprofile.openapi
A set of Java interfaces, annotations and programming models which allow Java developers to natively produce OpenAPI v3.1 documents from their Jakarta REST applications.
org.eclipse.microprofile.openapi.models.media
A set of interfaces for programmable models to represent input and output data types and media types.

## Uses of XML in org.eclipse.microprofile.openapi

Methods in org.eclipse.microprofile.openapi that return XML
Modifier and Type
Method
Description
`static XML`
OASFactory.`createXML()`
This method creates a new `XML` instance.

## Uses of XML in org.eclipse.microprofile.openapi.models.media

Methods in org.eclipse.microprofile.openapi.models.media that return XML
Modifier and Type
Method
Description
`default XML`
XML.`attribute(Boolean attribute)`
This method sets the attribute property of XML instance to the given Boolean argument and returns the modified instance.
`XML`
Schema.`getXml()`
Returns the xml property from this Schema instance.
`default XML`
XML.`name(String name)`
This method sets the name property of XML instance to the given String argument and returns the modified instance.
`default XML`
XML.`namespace(String namespace)`
This method sets the namespace property of XML instance to the given String argument and returns the modified instance.
`default XML`
XML.`prefix(String prefix)`
This method sets the prefix property of XML instance to the given String argument and returns the modified instance.
`default XML`
XML.`wrapped(Boolean wrapped)`
This method sets the wrapped property of XML instance to the given Boolean argument and returns the modified instance.
Methods in org.eclipse.microprofile.openapi.models.media with parameters of type XML
Modifier and Type
Method
Description
`void`
Schema.`setXml(XML xml)`
Sets the xml property of this Schema instance.
`default Schema`
Schema.`xml(XML xml)`
Sets the xml property of this Schema instance.